package org.jboss.security;

package .tmp;

import java.io.Serializable;
import org.jboss.security.SecurityProxy;
import org.jboss.security.SecurityProxyFactory;
import org.jboss.security.SubjectSecurityProxy;

public class SubjectSecurityProxyFactory implements SecurityProxyFactory, Serializable {
  static final long serialVersionUID = -8679600309865839261L;
  
  public SecurityProxy create(Object proxyDelegate) {
    return (SecurityProxy)new SubjectSecurityProxy(proxyDelegate);
  }
}
